# class RDoc::Markup::Paragraph

frozen_string_literal: false

A Paragraph of text

### Public Instance Methods

accept(visitor) click to toggle source

Calls accept_paragraph on `visitor`

    # File lib/rdoc/markup/paragraph.rb, line 10
    def accept visitor
      visitor.accept_paragraph self
    end

text(hard_break = '') click to toggle source

Joins the raw paragraph text and converts inline HardBreaks to the `hard_break` text.

    # File lib/rdoc/markup/paragraph.rb, line 18
    def text hard_break = ''
      @parts.map do |part|
        if RDoc::Markup::HardBreak === part then
          hard_break
        else
          part
        end
      end.join
    end